import os
import yaml
import json

# Get the current directory
current_dir = os.path.dirname(os.path.abspath(__file__))
# Build the path to the file 3 levels above
file_path = os.path.normpath(os.path.join(current_dir, "../../proj.yml"))
# Read the file using the yaml library
with open(file_path, 'r') as file:
    data = yaml.safe_load(file)
# Get the value of 'port' from the file
if data.get('port') != None:
    port = data.get('port')
else:
    port = '7654'
file_lic_path = '../cfg/k2/license/key.yml'
with open(file_lic_path, 'r') as file:
    data = yaml.safe_load(file)
update_token = data.get('license_key') # License key
secret_key = 'PK&INPUek9FDHdsagh&8dwbjkw8u48' # Application secret_key
domain_protocol = 'http://' # Protocol
domain_name = '127.0.0.1' # Domain name
domain = f'{domain_protocol}{domain_name}:{port}/' # Domain
update_domain_protocol = 'https://' # Update server protocol
update_domain_name = 'k2update.corp2.eu' # Update server domain name
update_domain = f'{update_domain_protocol}{update_domain_name}/' # Update server domain
#system settings web
file_system_settings = '../cfg/k2/settings/system_settings.json'
with open(file_system_settings, 'r') as file:
    system_settings_dict = json.load(file)
system_settings = system_settings_dict
default_language = system_settings['default_language']
db_login = system_settings['db_login'] # User authorization at the database level: True - enable, False - disable
caching_enabled = system_settings['caching_enabled']
file_lic_syncfusion_path = '../cfg/k2/license/syncfusion.yml'
with open(file_lic_syncfusion_path, 'r') as file:
    data = yaml.safe_load(file)
key_syncfusion = data.get('license_key') # Syncfusion License key
file_lic_aggrid_path = '../cfg/k2/license/aggrid.yml'
with open(file_lic_aggrid_path, 'r') as file:
    data = yaml.safe_load(file)
key_aggrid = data.get('license_key') # AGgrid License key
file_lic_stimulsoft_path = '../cfg/k2/license/stimulsoft.yml'
with open(file_lic_stimulsoft_path, 'r') as file:
    data = yaml.safe_load(file)
key_stimulsoft = data.get('license_key') # Stimulsoft License key
